/*******************************************************************************
 * Copyright (c) {2007, 2008} Engineering Ingegneria Informatica S.p.A.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors: Andrea Zoppello (Engineering) - initial API and implementation
 *******************************************************************************/
package org.eclipse.stp.im.resources;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.FileDialog;
import org.eclipse.swt.widgets.Shell;

public abstract class AbstractAskFileBasedResourceImporter implements IFileBasedResourceImporter {



	public String getFileName(){
		 FileDialog fd = new FileDialog(new Shell(), SWT.OPEN);
	     fd.setText("Open a resource Configuration File ");
	     
	     String[] filterExt = { "*.xml" };
	     fd.setFilterExtensions(filterExt);
	     String selected = fd.open();

	     return selected;
	}

	
}
